C2DInterpolatorFactory Class Reference
Interpolation

The factory to create an interpolator from some input data. More...

`#include <mia/2d/interpolator.hh>`

## Public Member Functions

| C2DInterpolatorFactory (const C2DInterpolatorFactory &o)
| Copy constructor.
| C2DInterpolatorFactory (const std::string &kernel, const std::string &boundary_conditions)
| C2DInterpolatorFactory (PSplineKernel kernel, const CSplineBoundaryCondition &boundary_conditions)
| C2DInterpolatorFactory (PSplineKernel kernel, const CSplineBoundaryCondition &xbc, const CSplineBoundaryCondition &ybc)
| C2DInterpolatorFactory (PSplineKernel kernel, const std::string &boundary_conditions)
template<class T>
T2DInterpolator< T > * | create (const T2DDatafield< T > &src) const __attribute__((warn_unused_result))
const CSplineKernel * | get_kernel () const
C2DInterpolatorFactory & | operator= (const C2DInterpolatorFactory &o)
| Assignment operator.
virtual | ~C2DInterpolatorFactory ()

## Detailed Description

The factory to create an interpolator from some input data.

Definition at line 189 of file 2d/interpolator.hh.

## Constructor & Destructor Documentation

## C2DInterpolatorFactory() [1/5]

C2DInterpolatorFactory::C2DInterpolatorFactory | ( | const std::string & | kernel,
|  | const std::string & | boundary_conditions )

Construct the factory the interpolation kernel and according boundary conditions

Parameters

  kernel | description of the interpolation kernel
  boundary_conditions | description of the boundary conditions

Referenced by C2DInterpolatorFactory(), and operator=().

## C2DInterpolatorFactory() [2/5]

C2DInterpolatorFactory::C2DInterpolatorFactory | ( | PSplineKernel | kernel,
|  | const CSplineBoundaryCondition & | boundary_conditions )

Construct the factory the interpolation kernel and according boundary conditions

Parameters

  kernel | interpolation kernel
  boundary_conditions | prototype boundary condition

## C2DInterpolatorFactory() [3/5]

C2DInterpolatorFactory::C2DInterpolatorFactory | ( | PSplineKernel | kernel,
|  | const std::string & | boundary_conditions )

Construct the factory the interpolation kernel and according boundary conditions

Parameters

  kernel | interpolation kernel
  boundary_conditions | description of the boundary conditions

## C2DInterpolatorFactory() [4/5]

C2DInterpolatorFactory::C2DInterpolatorFactory | ( | PSplineKernel | kernel,
|  | const CSplineBoundaryCondition & | xbc,
|  | const CSplineBoundaryCondition & | ybc )

Construct the factory the interpolation kernel and according boundary conditions

Parameters

  kernel |
  xbc | boundary conditions along the x-axis
  ybc | boundary conditions along the y-axis

## C2DInterpolatorFactory() [5/5]

C2DInterpolatorFactory::C2DInterpolatorFactory | ( | const C2DInterpolatorFactory & | o | ) |

Copy constructor.

References C2DInterpolatorFactory().

## ~C2DInterpolatorFactory()

virtual C2DInterpolatorFactory::~C2DInterpolatorFactory | ( |  | ) |

virtual

References create().

## Member Function Documentation

## create()

template<class T>

T2DInterpolator< T > * C2DInterpolatorFactory::create | ( | const T2DDatafield< T > & | src | ) | const

Interpolator creation function

Template Parameters

  pixel | data type - can be anything that cann be added to itself and multiplied by a double scalar. The class T must also define the coeff_map trait.

Parameters

  src | input data to interpolate

Returns
  the requested interpolator

Definition at line 261 of file 2d/interpolator.hh.

Referenced by ~C2DInterpolatorFactory().

## get_kernel()

const CSplineKernel * C2DInterpolatorFactory::get_kernel | ( |  | ) | const

Returns
  raw pointer to the interpolation kernel.

## operator=()

C2DInterpolatorFactory & C2DInterpolatorFactory::operator= | ( | const C2DInterpolatorFactory & | o | ) |

Assignment operator.

References C2DInterpolatorFactory().

The documentation for this class was generated from the following file:

- 2d/interpolator.hh